import { world, system, EntityDamageCause} from "@minecraft/server";

const skill = {
    name: 'dual_wield_longsword',
    display_name: "Dual Wield Longsword",
    registry_name: "dual_wield_longsword",
    description: 'allows dual longsword wielding',
    level: "advanced",
    learn(player) {
      world.scoreboard.getObjective(this.name).addScore(player, 1)
    },
    addLevel(player, levels) {
      world.scoreboard.getObjective(this.name).addScore(player, levels)
    }
}

export default skill